'use server';
import { NextResponse } from 'next/server';
import { getCountdown } from '~/server/functions';

export const GET = async (request: Request) => {
  try {
    const url = new URL(request.url);
    const apiKey = url.searchParams.get('apiKey');
    if (apiKey !== process.env.API_KEY) {
      console.log('Invalid API Key');
      return NextResponse.json({ message: "Invalid API Key" }, { status: 401 });
    } else {
      const countdown = await getCountdown();
      return NextResponse.json(countdown);
    }
  } catch (error) {
    console.error(error);
    return NextResponse.json({ message: "Error" }, { status: 500 });
  }
};
// localhost:3000/api/getCountdown?apiKey=I_Love_Madeline
