'use server';
import { NextResponse } from 'next/server';
import { getMessage } from '~/server/functions';

export const GET = async (request: Request) => {
  try {
    const url = new URL(request.url);
    const apiKey = url.searchParams.get('apiKey');
    if (apiKey !== process.env.API_KEY) {
      console.log('Invalid API Key');
      return NextResponse.json({ message: "Invalid API Key" }, { status: 401 });
    } else {
      const userId = url.searchParams.get('userId') ?? '2';
      const message = await getMessage(parseInt(userId));
      return NextResponse.json(message);
    }
  } catch (error) {
    console.error(error);
    return NextResponse.json({ message: "Error" }, { status: 500 });
  }
};
// localhost:3000/api/getMessage?apiKey=I_Love_Madeline&userId=2
